> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.velocity.shop/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve commission



## OpenAPI

````yaml /openapi.yaml get /commissions/{id}/
openapi: 3.0.3
info:
  title: Velocity Merchant API
  version: 1.0.0
servers:
  - url: https://api.velocity.shop
security: []
paths:
  /commissions/{id}/:
    get:
      tags:
        - Commissions
      summary: Retrieve commission
      operationId: commissions_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this commission.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Commission'
          description: ''
      security:
        - merchantApiToken: []
components:
  schemas:
    Commission:
      type: object
      properties:
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
        currency_code:
          type: string
          maxLength: 3
          minLength: 3
        id:
          type: string
          format: uuid
          readOnly: true
        level:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        modified:
          type: string
          format: date-time
          readOnly: true
        order_id:
          type: string
          format: uuid
        order_shopify_id:
          type: integer
          readOnly: true
        order_shopify_po_number:
          type: string
          readOnly: true
          nullable: true
        order_name:
          type: string
          readOnly: true
        order_processed_at:
          type: string
          format: date-time
          readOnly: true
        order_customer_name:
          type: string
          readOnly: true
          nullable: true
        order_company_name:
          type: string
          readOnly: true
          nullable: true
        order_company_location_name:
          type: string
          readOnly: true
          nullable: true
        order_total_price_amount:
          type: string
          readOnly: true
          nullable: true
        order_total_price_currency_code:
          type: string
          readOnly: true
          nullable: true
        order_responsible_service_rep_name:
          type: string
          readOnly: true
          nullable: true
        origin:
          allOf:
            - $ref: '#/components/schemas/OriginEnum'
          readOnly: true
        realized_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        realization_event:
          allOf:
            - $ref: '#/components/schemas/RealizationEventEnum'
          readOnly: true
        service_category_id:
          type: string
          format: uuid
        service_category_is_archived:
          type: boolean
          readOnly: true
        service_category_name:
          type: string
          readOnly: true
        service_rep_id:
          type: string
          format: uuid
        service_rep_name:
          type: string
          readOnly: true
      required:
        - amount
        - currency_code
        - id
        - level
        - modified
        - order_company_location_name
        - order_company_name
        - order_customer_name
        - order_id
        - order_name
        - order_processed_at
        - order_responsible_service_rep_name
        - order_shopify_id
        - order_shopify_po_number
        - order_total_price_amount
        - order_total_price_currency_code
        - origin
        - realization_event
        - realized_at
        - service_category_id
        - service_category_is_archived
        - service_category_name
        - service_rep_id
        - service_rep_name
    OriginEnum:
      enum:
        - team
        - override
        - ownership
        - rep_override
        - manual
      type: string
      description: |-
        * `team` - Team
        * `override` - Override
        * `ownership` - Ownership
        * `rep_override` - Rep Override
        * `manual` - Manual
    RealizationEventEnum:
      enum:
        - order_placed
        - refund
        - terms_payment
      type: string
      description: |-
        * `order_placed` - Order Placed
        * `refund` - Refund
        * `terms_payment` - Terms Payment
  securitySchemes:
    merchantApiToken:
      type: http
      scheme: bearer

````